%global momorel 6

Summary: Render a planetary image into an X window
Name: xplanet
Version: 1.2.0
Release: %{momorel}m%{?dist}
License: GPL
URL: http://xplanet.sourceforge.net/
Group: Amusements/Graphics
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
Patch1: xplanet-1.2.0-gcc43.patch
Patch2: xplanet-1.2.0-gcc44.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: expat-devel
BuildRequires: freetype-devel
BuildRequires: glib2-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libXt-devel
BuildRequires: libjpeg-devel
BuildRequires: libungif-devel
BuildRequires: libtiff-devel
BuildRequires: netpbm-devel
BuildRequires: pango-devel

%description
Xplanet is similar to Xearth, where an image of the earth is rendered
into an X window.  Azimuthal, Mercator, Mollweide, orthographic, or
rectangular projections can be displayed as well as a window with a
globe the user can rotate interactively.  The other terrestrial
planets may also be displayed. The Xplanet home page has links to
locations with map files.

%prep
%setup -q

%patch1 -p1 -b .gcc43~
%patch2 -p1 -b .gcc44~

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%{_bindir}/xplanet
%{_mandir}/man1/xplanet.1*
%{_datadir}/xplanet

%changelog
* Wed Feb  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.0-6m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.0-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.0-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.0-3m)
- %%NoSource -> NoSource

* Sat Jan 12 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.0-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Sun Jul 29 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-1m)
- initial package for ktrack-0.3.0
- Summary and %%description are imported from Fedora
